Package org.apache.lucene.monitor

# Interface CustomQueryHandler

All Known Implementing Classes:
  `RegexpQueryHandler`

public interface CustomQueryHandler
Builds a `QueryTree` for a query that needs custom treatment

The default query analyzers will use the QueryVisitor API to extract terms from queries. If different handling is needed, implement a CustomQueryHandler and pass it to the presearcher

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QueryTree`
  `handleQuery(Query query, TermWeightor termWeightor)`
  Builds a `QueryTree` node from a query
  `default TokenStream`
  `wrapTermStream(String field, TokenStream in)`
  Adds additional processing to the `TokenStream` over a document's terms index

- ## Method Details

  - ### handleQuery

    QueryTree handleQuery(Query query, TermWeightor termWeightor)
    Builds a `QueryTree` node from a query

  - ### wrapTermStream

    default TokenStream wrapTermStream(String field, TokenStream in)
    Adds additional processing to the `TokenStream` over a document's terms index